<!-- log-reg-sec starts -->
<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '3px' }"></ngx-loading>
<section class="log-reg-sec login-ps">
    <div class="container">
        <div class="log-outer">
            <h2>Log into The Great Connect</h2>
            <div class="row">
                <div class="col-lg-4 col-md-6  col-12 offset-lg-1 offset-md-0">
                    <div class="log-box box-bl">
                        <h3>Register with Facebook</h3>
                        <a href=""><span><img src="assets/images/fb.png"></span><span class="register-with-fb-text">Register with Facebook</span></a>
                    </div>
                </div>

                <div class="col-lg-5 col-md-6  col-12 offset-lg-1 offset-md-0">
                    <div class="log-box box-br">
                        <h3>Login using your email</h3>
                        <form [formGroup]="loginForm">
                            <div class="form-group">
                                <input type="email" formControlName="email" class="form-control" aria-describedby="emailHelp" placeholder="Email" [ngClass]="{ 'is-invalid': (loginForm.controls.email.touched || loginSubmitted) && loginForm.controls.email.errors }">
                                <p class="error_module" *ngIf="loginForm.controls.email.touched || loginSubmitted">
                                    <app-form-validation-errors errorPrefix="Email " [errors]="loginForm.controls.email.errors"></app-form-validation-errors>
                                </p>
                            </div>
                            <div class="form-group">
                                <input type="password" formControlName="password" class="form-control" placeholder="Password" [ngClass]="{ 'is-invalid': (loginForm.controls.password.touched || loginSubmitted) && loginForm.controls.password.errors }">
                                <p class="error_module" *ngIf="loginForm.controls.password.touched || loginSubmitted">
                                    <app-form-validation-errors minLength=10 maxLength=50 errorPrefix="Password " [errors]="loginForm.controls.password.errors"></app-form-validation-errors>
                                </p>
                            </div>
                            <div class="log-forget">
                                <a class="forget-pass" routerLink="/user/forgot-password">Forgot password?</a>
                                <button type="submit" (click)="validateLoginForm()" [disabled]="loginForm.invalid" class="btn btn-primary login-btn">LOG IN</button>
                            </div>
                        </form>
                    </div>
                </div>

            </div>
            <div class="already-account log-box">
                <h3>Create account for free?</h3>
                <a routerLink="/user/register" [queryParams]="{returnToUrl: returnToUrl}">Register</a>
            </div>
        </div>
    </div>
</section>
<!-- log-reg-sec  ends -->